Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalPersonalizationHome

public interface PortalPersonalizationHome
extends BaseHome

PortalPersonalization ejb home implementation.

Method Summary
`PortalPersonalization` | `create(PortalPersonalizationPK pk)` Create.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortalName)` Find by portal.
`java.util.Enumeration` | `findByPortalAndCategory(java.lang.String aPortalName, java.lang.String aCategory)` Find by portal and category.
`java.util.Enumeration` | `findByPortlet(java.lang.String aPortletName)` Find by portlet.
`PortalPersonalization` | `findByPrimaryKey(PortalPersonalizationPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public PortalPersonalization create(PortalPersonalizationPK pk)
                                 throws javax.ejb.CreateException,
                                        java.rmi.RemoteException

  Create.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalPersonalization` the created object.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### findByPrimaryKey

    public PortalPersonalization findByPrimaryKey(PortalPersonalizationPK pk)
                                           throws javax.ejb.FinderException,
                                                  java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalPersonalization` the object matching the key.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortlet

    public java.util.Enumeration findByPortlet(java.lang.String aPortletName)
                                        throws javax.ejb.FinderException,
                                               java.rmi.RemoteException

  Find by portlet.
  Parameters:
    `aPortletName` - the portlet name.
  Returns:
    `Enumeration` all personalizations for the portlet.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortalName)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal.
  Parameters:
    `aPortalName` - the portal name.
  Returns:
    `Enumeration` all personalizations matching the portal name.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalAndCategory

    public java.util.Enumeration findByPortalAndCategory(java.lang.String aPortalName,
                                                         java.lang.String aCategory)
                                                  throws javax.ejb.FinderException,
                                                         java.rmi.RemoteException

  Find by portal and category.
  Parameters:
    `aPortalName` - the portal.
    `aCategory` - the category.
  Returns:
    `Enumeration` all personalizations matching the portal and category.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved